#pragma once

#include "CStreamer.h"
#include "ff_stdio.h"

class SimStreamer : public CStreamer
{
public:
    typedef struct
    {
        char FileName[ffconfigMAX_FILENAME];
        uint32_t FileSize;
    }JPG_t;

    SimStreamer(uint16_t w, uint16_t h);
    virtual ~SimStreamer();

    static uint16_t loadJPEG(FF_FindData_t * jpeg);
    bool hasFrame() { return JPG[0]? true : false; };

    virtual void    streamImage(uint32_t curMsec);

private:
    uint8_t idx;
    static uint16_t frames;
    static JPG_t * JPG[256];
};
