#ifndef __SYSTEM_TTY_H__
#define __SYSTEM_TTY_H__
/* -------------------------------------------------------------------------+
 |                             Vekatech Ltd.                                |
 + -------------------------------------------------------------------------*/

/* --------------------------- COPYRIGHT INFORMATION -----------------------+
 |                                                                          |
 + -------------------------------------------------------------------------*/

/* -------------------------------------------------------------------------+
 | Module        : <mandatory>
 | File name     : <mandatory>
 | Description   : <mandatory>
 | Reference(s)  : <mandatory>
 + -------------------------------------------------------------------------*/

/* -------------------------------------------------------------------------+
 |   HEADER (INCLUDE) SECTION                                               |
 + -------------------------------------------------------------------------*/

//#include "SEGGER_RTT_Conf.h"

/* -------------------------------------------------------------------------+
 |   MACROS                                                                 |
 + -------------------------------------------------------------------------*/

#define __USE_TTY__

#define IDLE 0
#define XMIT 1
#define XEND 2

#define TX_BUF_SIZE         1024
//#define RX_BUF_SIZE       1024
#define UART_ERROR_EVENTS   (UART_EVENT_BREAK_DETECT | UART_EVENT_ERR_OVERFLOW | UART_EVENT_ERR_FRAMING | UART_EVENT_ERR_PARITY)    /* UART Error event bits mapped in registers */

/* -------------------------------------------------------------------------+
 |   TYPE DEFINITIONS                                                       |
 + -------------------------------------------------------------------------*/

/* none*/

/* -------------------------------------------------------------------------+
 |   EXTERNAL DATA (+ meaning)                                              |
 + -------------------------------------------------------------------------*/

/* none*/

/* -------------------------------------------------------------------------+
 |   GLOBAL FUNCTION PROTOTYPES                                             |
 + -------------------------------------------------------------------------*/
#ifdef __cplusplus
    extern "C" {
        fsp_err_t TTY_init(void);
        fsp_err_t deinit_TTY(void);
        fsp_err_t TTY_print(void *p_msg);
        int TTY_printf(const char * sFormat, ...);
    }
#else
    fsp_err_t TTY_init(void);
    fsp_err_t deinit_TTY(void);
    fsp_err_t TTY_print(void *p_msg);
    int TTY_printf(const char * sFormat, ...);
#endif

/* -------------------------------------------------------------------------+
 |   END                                                                    |
 + -------------------------------------------------------------------------*/

#endif /* __SYSTEM_TTY_H__ */
